@echo off
REM ----------------------------------------------------------------------
REM Application Explorer - a general purpose application cataloger/indexer
REM Copyright (C) 2006  Aliasgar Lokhandwala <d7@freepgs.com> 
REM http://appexp.sourceforge.net/
REM
REM Wrapper script for invoking application explorer on windows
REM
REM This program is free software; you can redistribute it and/or
REM modify it under the terms of the GNU General Public
REM License as published by the Free Software Foundation; either
REM version 2 of the License, or (at your option) any later version.
REM
REM This program is distributed in the hope that it will be useful,
REM but WITHOUT ANY WARRANTY; without even the implied warranty of
REM MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
REM General Public License for more details.
REM
REM You should have received a copy of the GNU General Public
REM License along with this program; if not, write to the 
REM Free Software Foundation, Inc., 59 Temple Place - Suite 330,
REM Boston, MA  02111-1307, USA.
REM ======================================================================
REM
REM Assumptions
REM JAVA_HOME is set or you have javaw.exe or java.exe in your path
REM

if "%OS%"=="Windows_NT" @setlocal
if "%OS%"=="WINNT" @setlocal
 
set _JAVACMD=%JAVACMD%

if "%JAVA_HOME%" == "" goto noJavaHome
if not exist "%JAVA_HOME%\bin\javaw.exe" goto tryJava
if "%_JAVACMD%" == "" set _JAVACMD=%JAVA_HOME%\bin\javaw.exe
goto runAppExp

:tryJava
if not exist "%JAVA_HOME%\bin\java.exe" goto noJavaHome
if "%_JAVACMD%" == "" set _JAVACMD=%JAVA_HOME%\bin\java.exe
goto runAppExp

:noJavaHome
echo JAVA_HOME is not set, or is incorrect
echo hope you have javaw.exe in your path
if "%_JAVACMD%" == "" set _JAVACMD=javaw.exe
goto runAppExp

:runAppExp
echo Launching Application Explorer
echo ...
"%_JAVACMD%" -jar appexp.jar %1

